<?php
/**
 * @category   Alogic
 * @package    Alogic_Downloadcatalogue
 * @author     dushyantjoshia@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Alogic\Downloadcatalogue\Block;

use Alogic\Downloadcatalogue\Model\DownloadcatalogueFactory;
use Magento\Framework\View\Element\Template\Context;

/**
 * Downloadcatalogue List block
 */
class DownloadcatalogueListData extends \Magento\Framework\View\Element\Template {
	/**
	 * @var Downloadcatalogue
	 */
	protected $_downloadcatalogue;
	public function __construct(
		Context $context,
		DownloadcatalogueFactory $downloadcatalogue
	) {
		$this->_downloadcatalogue = $downloadcatalogue;
		parent::__construct($context);
	}

	public function _prepareLayout() {
		$this->pageConfig->getTitle()->set(__('Alogic Download Catalogue'));

		if ($this->getDownloadcatalogueCollection()) {
			$pager = $this->getLayout()->createBlock(
				'Magento\Theme\Block\Html\Pager',
				'alogic.downloadcatalogue.pager'
			)->setAvailableLimit(array(5 => 5, 10 => 10, 15 => 15))->setShowPerPage(true)->setCollection(
				$this->getDownloadcatalogueCollection()
			);
			$this->setChild('pager', $pager);
			$this->getDownloadcatalogueCollection()->load();
		}
		return parent::_prepareLayout();
	}

	public function getDownloadcatalogueCollection() {
		$page = ($this->getRequest()->getParam('p')) ? $this->getRequest()->getParam('p') : 1;
		$pageSize = ($this->getRequest()->getParam('limit')) ? $this->getRequest()->getParam('limit') : 5;

		$downloadcatalogue = $this->_downloadcatalogue->create();
		$collection = $downloadcatalogue->getCollection();
		$collection->addFieldToFilter('status', '1');
		//$downloadcatalogue->setOrder('downloadcatalogue_id','ASC');
		$collection->setPageSize($pageSize);
		$collection->setCurPage($page);

		return $collection;
	}

	public function getPagerHtml() {
		return $this->getChildHtml('pager');
	}
}